<?php

// edit these to conform to your server/site
$includepath='your_server_path_to_includes_goes_here';
$chatfeedlink='your_chaturbate_feed_link_goes_here';
$mysite='your_site_url_goes_here';
// end of edit section

echo "Start of run " . date("M d Y H:i:s", time()) . "<br>\n";

require_once($includepath . 'functions.php');
$db=hookitup();

echo "Database connected " . date("M d Y H:i:s", time()) . "<br>\n";

echo "Fetching Page " . date("M d Y H:i:s", time()) . "<br>\n"; 
//$userlist = simplexml_load_file('http://chaturbate.com/affiliates/api/onlinerooms/?format=xml&wm=JkjyU');

$url2use=$chatfeedlink;
$refer2use=$mysite;
$page=get_page($url2use, $refer2use);
echo "page Fetch complete " . date("M d Y H:i:s", time()) . "<br>\n";

$userlist=explode('<resource>',$page);
$page='';

if(count($userlist)==0)
{
  die('does not look like we got a valid page back....aborting');
}

// first we set the updated tag to 0 (zero).  This tag will help to sort the active from the inactives.
// at beginning of routine set all updated to 0.
// as we read through and update the database we will set updated to 1 on any records we either inserty or update.
// once we are done, anything that was not marked as updated will be marked as inactive.

$sql_str="update users set updated=0";
$stmt=$db->query($sql_str);
echo "Mysql update updatedtag complete " . date("M d Y H:i:s", time()) . "<br>\n";

$sql_str  ="insert into users(username, secs_online, spoken_languages, display_name, num_users, ";
$sql_str .="chat_room_url, gender, age, recorded, current_show, revshare_iframe, birthday, image_url, ";
$sql_str .="location, block_states, block_countries, iframe, revshare_chat_url)";
$sql_str .=" values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) ";
$sql_str .="on duplicate key update secs_online=?, num_users=?, recorded=?, current_show=?, active=?, updated=? ";
$stmt = $db->prepare($sql_str);

echo "DB prepare complete " . date("M d Y H:i:s", time()) . "<br>\n";

$reccnt=0;

echo "updating database " . date("M d Y H:i:s", time()) . "<br>\n";
foreach($userlist as $user)
{
  $stmt->execute(array(
  getdata($user,'<username>'),
  getdata($user,'<seconds_online>'),
  trim(getdata($user,'<spoken_languages>')),
  getdata($user,'<display_name>'),
  getdata($user,'<num_users>'),
  getdata($user,'<chat_room_url>'),
  getdata($user,'<gender>'),
  getdata($user,'<age>'),
  getdata($user,'<recorded>'),
  getdata($user,'<current_show>'),  
  getdata($user,'<iframe_embed_revshare>'),
  getdata($user,'<birthday>'),
  getdata($user,'<image_url>'),
  trim(getdata($user,'<location>')),
  trim(getdata($user,'<block_from_states>')),
  trim(getdata($user,'<block_from_countries>')),
  getdata($user,'<iframe_embed>'),
  getdata($user,'<chat_room_url_revshare>'),
  getdata($user,'<seconds_online>'),
  getdata($user,'<num_users>'),
  getdata($user,'<recorded>'),
  getdata($user,'<current_show>'),  
          1,1));
  $reccnt++;
}
echo "database update complete " . date("M d Y H:i:s", time()) . "<br>\n";

$sql_str="update users set active=0 where updated=0";
$stmt=$db->query($sql_str);
echo "Mysql update active complete " . date("M d Y H:i:s", time()) . "<br>\n";

echo "read " . $reccnt . " records<br>";

function get_page($urlin,$referin)
{
  $returnit="";
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_HEADER, 0);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
  curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.8) Gecko/2009032609 Firefox/3.0.8');
  curl_setopt($ch, CURLOPT_TIMEOUT, 10);
  curl_setopt($ch, CURLOPT_REFERER, $referin);
  curl_setopt($ch, CURLOPT_URL, $urlin);
  $result['EXE'] = curl_exec($ch);
  $result['ERR'] = curl_error($ch);
  curl_close($ch);
  if($result['ERR']>"")
  {
    $returnit="error - " . $result['ERR'];
  }
  else
  {
    $returnit=$result['EXE'];
  }
  return $returnit;
}

function getdata($user,$tag)
{
  $returnit='';
  if(substr_count($user,$tag)>0)
  {
    $returnit=substr($user,strpos($user,$tag)+strlen($tag));
    $returnit=substr($returnit,0,strpos($returnit,'<'));
  }
  return $returnit;
}

?>