--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `secs_online` int(11) NOT NULL,
  `spoken_languages` varchar(50) NOT NULL,
  `display_name` varchar(50) NOT NULL,
  `num_users` int(11) NOT NULL,
  `chat_room_url` varchar(254) NOT NULL,
  `gender` char(1) NOT NULL,
  `age` int(11) NOT NULL,
  `recorded` varchar(10) NOT NULL,
  `current_show` varchar(25) NOT NULL,
  `revshare_iframe` varchar(254) NOT NULL,
  `birthday` date NOT NULL,
  `image_url` varchar(254) NOT NULL,
  `location` varchar(50) NOT NULL,
  `block_states` varchar(254) NOT NULL,
  `block_countries` varchar(254) NOT NULL,
  `iframe` varchar(254) NOT NULL,
  `revshare_chat_url` varchar(254) NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `updated` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `updated` (`updated`),
  KEY `active` (`active`),
  KEY `gender` (`gender`),
  KEY `age` (`age`),
  KEY `location` (`location`),
  KEY `spoken_languages` (`spoken_languages`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=240086 ;

