<?php
// this produces the list of chat models available that appears on the main page.
// it is called by an ajax call in main.js but could also be used as a php include if you want to get away from dependence on javascript.

error_reporting(0);

// 01-23-2014 Russ
// check for cookie.  If person has not visited the site
// then cookie will not be set.  A little protection for the ajax called page.
if(!isset($_COOKIE['is_adult']))
{
  die;
}

// 1-24-2014 added split between free signup and revshare - Russ
// modify free_pct to be the percentage of what you want as free signups. ie: 50=50%.
$free_pct=50;
// end of modification area

if($free_pct>0)
{
  $free_pct=$free_pct/100;
}

require_once('../includes/functions.php');
$db=hookitup();

$sortby='age, username';
if(isset($_GET['sort']))
{
  // yes, all this could be replaced by a case statement or if..elseif... but I wrote it this way.  Sue me.
  if($_GET['sort']=='namea')
  {
    $sortby='username, age';
  }
  if($_GET['sort']=='named')
  {
    $sortby='username desc, age';
  }
  if($_GET['sort']=='agea')
  {
    $sortby='age, username';
  }
  if($_GET['sort']=='aged')
  {
    $sortby='age desc, username';
  }
  if($_GET['sort']=='languagea')
  {
    $sortby='spoken_languages, age, username';
  }
  if($_GET['sort']=='languaged')
  {
    $sortby='spoken_languages desc, age, username';
  }
  if($_GET['sort']=='locationa')
  {
    $sortby='location, age, username';
  }
  if($_GET['sort']=='locationd')
  {
    $sortby='location desc, age, username';
  }
}

// pull in recordss to show.  Currently hardcoded for females where current show is public and recorded is not true and age is over 18
// the age over 18 isjust a little protection for a paranoid programmer.  We do not actually expect any.  This will block any records where age does not appear.

// 01-24-2014 added additional vars to the record pull - Russ
$sql_str="select iframe, username, chat_room_url, image_url, age, spoken_languages, location, ";
$sql_str .="revshare_iframe, revshare_chat_url, birthday ";
$sql_str .="from users ";
$sql_str .="where gender=? and current_show=? and recorded<>? and age>=? ";
$sql_str .="and active=? ";
//$sql_str="select iframe, username, chat_room_url, image_url, age, spoken_languages, location from users ";
//$sql_str .="where gender=? and current_show=? and recorded<>? and age>=? ";
//$sql_str .="and active=? ";
if(!empty($sortby))
{
  $sql_str .="order by " . $sortby;
}
//echo "sql=" . $sql_str . "<br>";
$stmt = $db->prepare($sql_str);
$stmt->execute(array('f','public','true',18,1)); 
$fcnt=$stmt->rowCount();

// the structure for each cam box on the first page is controlled through a template file.
// To change the cam box edit the template.
// we pull the template into a string.  Later we will replace tags in the string with db items and put it into a new string.
// then we will output the string.
$itemstr=file_get_contents('../templates/item_template.htm');

// the ajax routine prefaces the output with the record count so first we echo out the record count followed by a comma 
echo $fcnt . ",";

// 01-23-2014 compute split between free and revshare - Russ
$free_tot=intval($fcnt*$free_pct);
$rev_tot=$fcnt-$free_tot;
$free_cnt=0;
$rev_cnt=0;
$toggle=0;

// then we go through and write each cambox to the output buffer
while($row = $stmt->fetch(PDO::FETCH_ASSOC))
{
  // 01-23-2014 added split bwteen free and revshare
  if($toggle==2)
  {
    $toggle=0;
  }
  $iframe=substr($row['revshare_iframe'],strpos($row['revshare_iframe'],'http'));
  $iframe=substr($iframe,0,strpos($iframe,"'"));
  $chatroomurl=$row['revshare_chat_url'];
  if($free_cnt<$free_tot)
  {
    if($toggle==0)
    {
      $iframe=substr($row['iframe'],strpos($row['iframe'],'http'));
      $iframe=substr($iframe,0,strpos($iframe,"'"));
      $chatroomurl=$row['chat_room_url'];
      $free_cnt++;    
    }  
    else
    {
      $rev_cnt++;
    }
  }

  //$iframe=substr($row['iframe'],strpos($row['iframe'],'http'));
  //$iframe=substr($iframe,0,strpos($iframe,"'"));
  
  // replace tags here.  You want more tags?  Add them.
  
  // 01-23-2014 rewrote replace routine to add vars and make it more readable - Russ
  $outstr=str_replace(array('{username}',
                            '{chat_room_url}',
                            '{image_url}',
                            '{iframe}',
                            '{age}',
                            '{spoken_languages}',
                            '{birthday}'
                            ),array(
                            substr($row['username'],0,20),
                            $chatroomurl,
                            $row['image_url'],
                            $iframe,
                            $row['age'],
                            substr(trim($row['spoken_languages']),0,18),
                            $row['birthday']
                            ),$itemstr);
  
 // $outstr=str_replace(array('{username}','{chat_room_url}','{image_url}','{iframe}','{age}','{spoken_languages}'),array(substr($row['username'],0,20),$row['chat_room_url'],$row['image_url'],$iframe,$row['age'],substr(trim($row['spoken_languages']),0,18)),$itemstr);
  
  // I made location dynamic because of all the weird things the cam models put in location.
  // they do the same thing with language but not quite so bad.
  // this will eliminate any where the model has a url, email address or twitter address in their location
  if(substr_count(strtolower($row['location']),'http')==0 && substr_count(strtolower($row['location']),'@')==0)
  {
    $outstr=str_replace('{location}','Location: ' . substr(trim($row['location']),0,18),$outstr);
  }
  else
  {
    $outstr=str_replace('{location}','',$outstr);
  }
  echo $outstr;
  // 01-23-2014 increment toggle for free-revshare split - Russ
  
  $toggle++;
}
?>
